Create Coupon Code
Create a new code for the promotion.
Note: The default rate limit for this endpoint is 40 concurrent requests.
Authentication
X-Auth-Tokenstring
### OAuth scopes
| UI Name | Permission | Parameter |
|:--------|:-----------|:----------|
| Marketing | modify | `store_v2_marketing` |
| Marketing | read-only | `store_v2_marketing_read_only` |
### Authentication header
| Header | Argument | Description |
|:-------|:---------|:------------|
| `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see [API Accounts and OAuth Scopes](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). |
### Further reading
For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts).
For more about BigCommerce OAuth scopes, see [API Accounts and OAuth Scopes](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts).
For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).
Path parameters
promotion_id
The ID of the associated promotion.
Request
This endpoint expects an object.
code
A unique code that can be used to manually apply a discount. Only letters, numbers, white spaces, underscores, and hyphens are allowed.
max_uses
The maximum number of times you can use this coupon code. The default value is 0, which represents unlimited uses. The parent promotion’s max_uses field overrides the coupon code’s max_uses field.
max_uses_per_customer
The maximum number of times a specific customer can use this coupon code. The default value is 0, which represents unlimited uses.
Response
data
A CouponCode object encapsulates attributes of a coupon code.
meta
Empty meta object, which may be used at a later time.